#	$Id: Makefile,v 1.1 1993/08/14 06:30:44 deraadt Exp $

BINDIR=/usr/etc

CDEF1=	-DTERMIOS			# Use the termios structure
CDEF2=	-DPIDSTRING			# I like ascii pid values
CDEF3=	-DLOCK_DIR=\"/usr/spool/locks\"	# Directory for lock file
CDEF4=	-DSIGTYPE=void			# Standard definition
#CDEF5=	-UNO_USLEEP			# Use the usleep function
CDEF6=	-DFNDELAY=O_NDELAY		# Old name value
CDEFS=	$(CDEF1) $(CDEF2) $(CDEF3) $(CDEF4) $(CDEF5) $(CDEF6)

CFLAGS=	-O2 $(CDEFS)
CPPFLAGS= -D__MINT__ -I/usr/src/portlib
LDLIBS= -L/usr/src/portlib -lportlib -liio

all:	chat

chat:	chat.o

chat.o:	chat.c

install: chat
	install -c chat $(BINDIR)
